net.sf.cglib.proxy

## Interface CallbackFilter

- All Known Implementing Classes:
    CallbackHelper

      public interface CallbackFilter

  Map methods of subclasses generated by `Enhancer` to a particular callback. The type of the callbacks chosen for each method affects the bytecode generated for that method in the subclass, and cannot change for the life of the class.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `accept(java.lang.reflect.Method method)` Map a method to a callback.
    `boolean` | `equals(java.lang.Object o)` The `CallbackFilter` in use affects which cached class the `Enhancer` will use, so this is a reminder that you should correctly implement `equals` and `hashCode` for custom `CallbackFilter` implementations in order to improve performance.

- - ### Method Detail

    - #### accept

          int accept(java.lang.reflect.Method method)

      Map a method to a callback.
      Parameters:
        `method` - the intercepted method
      Returns:
        the index into the array of callbacks (as specified by `Enhancer.setCallbacks(net.sf.cglib.proxy.Callback[])`) to use for the method,

    - #### equals

          boolean equals(java.lang.Object o)

      The `CallbackFilter` in use affects which cached class the `Enhancer` will use, so this is a reminder that you should correctly implement `equals` and `hashCode` for custom `CallbackFilter` implementations in order to improve performance.
      Overrides:
        `equals` in class `java.lang.Object`

Copyright (c) 2001 - Apache Software Foundation